/**
 * \file core/sage_run/sagerunbatch.cpp
 * \date 09/05/2025
 * \author Olivier Langella
 * \brief all data needed to run a Sage batch
 */

/*******************************************************************************
 * Copyright (c) 2025 Olivier Langella
 *<Olivier.Langella@universite-paris-saclay.fr>.
 *
 * This file is part of i2MassChroQ.
 *
 *     i2MassChroQ is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     i2MassChroQ is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with i2MassChroQ.  If not, see <http://www.gnu.org/licenses/>.
 *
 ******************************************************************************/

#include "sagerunbatch.h"

#include <QDebug>
#include <QObject>
#include <pappsomspp/core/pappsoexception.h>

bool
SageRunBatch::useQurl() const
{
  // if(sageBin.endsWith(".exe"))
  //   {
#ifdef Q_OS_WIN
  qWarning() << "Q_OS_WIN Windows";
  if(sageVersion == "sage 0.15.0-beta.1")
    return false;
  bool ok        = false;
  double version = sageVersion.mid(5, 4).toDouble(&ok);
  if(ok == false)
    {
      throw pappso::PappsoException(
        QObject::tr("ERROR getting sage version from string %1 %2")
          .arg(sageVersion)
          .arg(sageVersion.mid(5, 4)));
    }
  if(version < 0.15)
    return false;
  else
    return true;

#else
  // else
  //   {
  qWarning() << "Not Windows";
  return false;
  // }
#endif
};
